need to install libpng12 as Ephesoft dependency

cancel
Showing results for 
Search instead for 
Did you mean: 
Highlighted
Active Member II

need to install libpng12 as Ephesoft dependency

Jump to solution

hi, im trying to install libpng12 in ubuntu 16 to keep on my ephesoft´s installation.

but im having this problem when decompact with dpkg -i: 

dpkg -i libpng12-dev_1.2.54-1ubuntu1_amd64.deb 
dpkg: regarding libpng12-dev_1.2.54-1ubuntu1_amd64.deb containing libpng12-dev:amd64:
libpng12-dev conflicts with libpng-dev
libpng-dev:amd64 (version 1.6.25-1) is present and installed.

dpkg: error processing archive libpng12-dev_1.2.54-1ubuntu1_amd64.deb (--install):
conflicting packages - not installing libpng12-dev:amd64
Errors were encountered while processing:
libpng12-dev_1.2.54-1ubuntu1_amd64.deb

I´ve deleted already libpng-dev, but still

then i tried ar x

ar x libpng12-dev_1.2.54-1ubuntu1_amd64.deb

i got it: control control.tar.gz data.tar.xz debian-binary libpng12-dev_1.2.54-1ubuntu1_amd64.deb md5sums

but when try to run the ./ files such as control, im having this problem:

./md5sums: line 1: b1dd957f1d852ea214975859fe9a145e: command not found
./md5sums: line 2: 71d3fb8fa85290e40b3b33b68fb71126: command not found
./md5sums: line 3: cc760663ba0e674024b12f349b26abd5: command not found
./md5sums: line 4: f7bb4ca6bcb10fad0a55b0fdd53f405c: command not found
./md5sums: line 5: 6013989611a416cc01a9fc3f4956234a: command not found
./md5sums: line 6: 3cf0b6cc5304828a927b3cb62a46204d: command not found
./md5sums: line 7: 5b609d09fdb2e93dc09224c2fa6d7b06: command not found
./md5sums: line 8: 87ed3a7c33970a37ed21cd1698683fc0: command not found
./md5sums: line 9: a7ce40defa98d48b8edf102bfdcf83ed: command not found
./md5sums: line 10: a341c0e2680be61ade3047c44e1dd061: command not found
./md5sums: line 11: a84881304cfe900d3eb6a3b770578bb7: command not found
./md5sums: line 12: c1b3f6726ac40f55e8514d518bd86399: command not found
root@ubuntu:~/Libpng# ./control
./control: line 1: Package:: command not found
./control: line 2: Source:: command not found
./control: line 3: Version:: command not found
./control: line 4: Architecture:: command not found
./control: line 5: syntax error near unexpected token `newline'
./control: line 5: `Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>'

I need to have libpng12-dev properly installed cause my ephesoft installation is failling, as follow:

Checking for Internet connection. Please wait...
Updating the package list from repository, please wait...
Ephesoft application already exists at /opt/Ephesoft path.
SharedFolders already exists at /opt/Ephesoft/SharedFolders path.
Installing/Updating "libpng12-dev" for Ephesoft.
E: Package 'libpng12-dev' has no installation candidate
Error occurred while installing "libpng12-dev"
Exiting from script...

could you guyz plz help me, cause i dont know what to do.....

1 Solution

Accepted Solutions
Highlighted
Active Member II

Re: need to install libpng12 as Ephesoft dependency

Jump to solution

Hi Martin, i´ve moved to ubuntu 16.04.2 LTS and could install libpng12-dev, thanks for that. Now im facing another issue with libreoffice, im trying to install ephesoft, i managed to move forward with the previous libraries to go on with the installation now im stack again but now is with libreoffice, the error im having is below:

Installing Libreoffice. Please Wait....

Error in installing Libreoffice

Exiting from script

does not give me more info apart of that

right now im trying to clean up libreoffice from my OS and install again to see what can happen but im not to sure is the right way........

Do you have any clue that can help me up?

please im really in need

View solution in original post

18 Replies
Highlighted
Senior Member II

Re: need to install libpng12 as Ephesoft dependency

Jump to solution

Which ubuntu 16 are you using? I use the server edition 16.04.2 LTS and there it's just

apt-get install libpng12-dev

Highlighted
Active Member II

Re: need to install libpng12 as Ephesoft dependency

Jump to solution

hi, thanks for ur feedback, im using 16.10

Highlighted
Senior Member II

Re: need to install libpng12 as Ephesoft dependency

Jump to solution

...arghh this could be the problem, I can slightly remember a problem with 16.10 and the new Debian release and libpng12...

Do you stick to 16.10 ? - I always recommend to use the ubuntu LTS (long term support) server versions, because you don't have to switch the version every year :-)

I don't have a 16.10 at hand, what's the error if you open a command line (terminal) and try

sudo apt-get install libpng12-dev

Highlighted
Active Member II

Re: need to install libpng12 as Ephesoft dependency

Jump to solution

hi Martin, ther u go:

sudo apt-get install libpng12-dev
[sudo] password for moranca:
Reading package lists... Done
Building dependency tree
Reading state information... Done
Package libpng12-dev is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source

E: Package 'libpng12-dev' has no installation candidate

Highlighted
Senior Member II

Re: need to install libpng12 as Ephesoft dependency

Jump to solution

ok, then you have to adapt your sources.list and use apt-get install afterwards if you really need libpng12-dev

I think this is the answer to your question: dependencies - E: Package 'libpng12-0' has no installation candidate [ubuntu 16.10 Gnome] - Ask Ubun... 

have you tried libpng-dev ? Maybe that's sufficient...

Highlighted
Senior Member II

Re: need to install libpng12 as Ephesoft dependency

Jump to solution

..oh, just seen above, you did... 

Highlighted
Active Member II

Re: need to install libpng12 as Ephesoft dependency

Jump to solution

hi Martin, thanks once again for ur time to give  me feedbacks

see, what i have done  but still having probs:

sudo wget http://za.archive.ubuntu.com/ubuntu/pool/main/libp/libpng/libpng12-0_1.2.54-1ubuntu1_amd64.deb

ar x libpng12-0_1.2.54-1ubuntu1_amd64.deb

control.tar.gz

debian-binary 
data.tar.xz 

tar -zxvf control.tar.gz
./
./triggers
./shlibs
./md5sums
./control

chmod 755 *

sudo ./control
./control: 1: ./control: Package:: not found
./control: 2: ./control: Source:: not found
./control: 3: ./control: Version:: not found
./control: 4: ./control: Architecture:: not found
./control: 6: ./control: Syntax error: newline unexpected

and soon for the rest of the files, so i stoped that way and went to sources.list

sudo gedit /etc/apt/sources.list

added on top: #### BACKUP for /etc/apt/sources.list created <insert date here>

added at bottom: #### Manually Added sources

## source for libpng12-0 package

deb http://mirror.kernel.org/ubuntu/pool/main/libp/libpng/xenial/main

sudo apt-get update

Err:10 http://mirrors.kernel.org/ubuntu/pool/main/libp/libpng xenial/main amd64 Packages
404 Not Found

sudo apt-get install libpng12-0
Reading package lists... Done
Building dependency tree
Reading state information... Done
Package libpng12-0 is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source

E: Package 'libpng12-0' has no installation candidate

sudo apt-get upgrade

sudo apt-get install libpng12-0
Reading package lists... Done
Building dependency tree 
Reading state information... Done
Package libpng12-0 is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source

E: Package 'libpng12-0' has no installation candidate

so nothing i have done so far, is resulting

Highlighted
Senior Member II

Re: need to install libpng12 as Ephesoft dependency

Jump to solution

Seems that mirror.kernel.org you used isn't reachable (see the 401 error). Just use an actual valid mirror in your sources list entry or the one you used before za.archive.ubuntu...

Highlighted
Active Member II

Re: need to install libpng12 as Ephesoft dependency

Jump to solution

Actually, im thinking to change the ubuntu version, cause i have tried others already but still, but thanks for ur time and any news concerned to, plz let me know